## aerc 0.15.2

=== Makefile ===
.POSIX:
.SUFFIXES:
.SUFFIXES: .1 .5 .7 .1.scd .5.scd .7.scd

VERSION?=`git describe --long --abbrev=12 --tags --dirty 2>/dev/null || echo 0.15.2`
VPATH=doc
PREFIX?=/usr/local
BINDIR?=$(PREFIX)/bin
SHAREDIR?=$(PREFIX)/share/aerc
LIBEXECDIR?=$(PREFIX)/libexec/aerc
MANDIR?=$(PREFIX)/share/man
GO?=go
GOFLAGS?=`contrib/goflags.sh`
BUILD_OPTS?=-trimpath
# ignore environment variable
GO_LDFLAGS:=
GO_LDFLAGS+=-X main.Version=$(VERSION)
GO_LDFLAGS+=-X main.Flags=$$(echo -- $(GOFLAGS) | base64 | tr -d '\n')
GO_LDFLAGS+=-X git.sr.ht/~rjarry/aerc/config.shareDir=$(SHAREDIR)
GO_LDFLAGS+=-X git.sr.ht/~rjarry/aerc/config.libexecDir=$(LIBEXECDIR)
GO_LDFLAGS+=$(GO_EXTRA_LDFLAGS)

GOSRC!=find * -type f -name '*.go'
GOSRC+=go.mod go.sum

DOCS := \
	aerc.1 \
	aerc-search.1 \
	aerc-accounts.5 \
	aerc-binds.5 \
	aerc-config.5 \
	aerc-imap.5 \
	aerc-maildir.5 \
	aerc-sendmail.5 \
	aerc-notmuch.5 \
	aerc-smtp.5 \
	aerc-tutorial.7 \
	aerc-templates.7 \
	aerc-stylesets.7

all: aerc wrap colorize $(DOCS)

aerc: $(GOSRC)
	$(GO) build $(BUILD_OPTS) $(GOFLAGS) -ldflags "$(GO_LDFLAGS)" -o aerc

CC?=cc
CFLAGS?=-O2 -g

wrap: filters/wrap.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o wrap filters/wrap.c

colorize: filters/colorize.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o colorize filters/colorize.c

.PHONY: dev
dev:
	$(MAKE) aerc BUILD_OPTS="-trimpath -race"
	GORACE="log_path=race.log strip_path_prefix=git.sr.ht/~rjarry/aerc/" ./aerc

gofumpt_tag = v0.5.0

.PHONY: fmt
fmt:
	$(GO) run mvdan.cc/gofumpt@$(gofumpt_tag) -w .

linters.so: contrib/linters.go
	$(GO) build -buildmode=plugin -o linters.so contrib/linters.go

.PHONY: lint
lint: linters.so
	@contrib/check-whitespace `git ls-files ':!:filters/vectors'` && \
		echo white space ok.
	@$(GO) run mvdan.cc/gofumpt@$(gofumpt_tag) -d . | grep ^ \
		&& echo The above files need to be formatted, please run make fmt && exit 1 \
		|| echo all files formatted.
	$(GO) run github.com/golangci/golangci-lint/cmd/golangci-lint@v1.51.2 run \
		$$(echo $(GOFLAGS) | sed s/-tags=/--build-tags=/)

.PHONY: vulncheck
vulncheck:
	$(GO) run golang.org/x/vuln/cmd/govulncheck@latest ./...

.PHONY: tests
tests: wrap colorize
	$(GO) test $(GOFLAGS) ./...
	filters/test.sh

.PHONY: debug
debug: aerc.debug
	@echo 'Run `./aerc.debug` and use this command in another terminal to attach a debugger:'
	@echo '    dlv attach $$(pidof aerc.debug)'

aerc.debug: $(GOSRC)
	$(GO) build $(GOFLAGS) -gcflags=*=-N -gcflags=*=-l -ldflags="$(GO_LDFLAGS)" -o aerc.debug

.1.scd.1:
	scdoc < $< > $@

.5.scd.5:
	scdoc < $< > $@

.7.scd.7:
	scdoc < $< > $@

doc: $(DOCS)

# Exists in GNUMake but not in NetBSD make and others.
RM?=rm -f

clean:
	$(RM) $(DOCS) aerc wrap colorize

install: $(DOCS) aerc wrap colorize
	mkdir -m755 -p $(DESTDIR)$(BINDIR) $(DESTDIR)$(MANDIR)/man1 $(DESTDIR)$(MANDIR)/man5 $(DESTDIR)$(MANDIR)/man7 \
		$(DESTDIR)$(SHAREDIR) $(DESTDIR)$(SHAREDIR)/filters $(DESTDIR)$(SHAREDIR)/templates $(DESTDIR)$(SHAREDIR)/stylesets \
		$(DESTDIR)$(PREFIX)/share/applications $(DESTDIR)$(LIBEXECDIR)/filters
	install -m755 aerc $(DESTDIR)$(BINDIR)/aerc
	install -m644 aerc.1 $(DESTDIR)$(MANDIR)/man1/aerc.1
	install -m644 aerc-search.1 $(DESTDIR)$(MANDIR)/man1/aerc-search.1
	install -m644 aerc-accounts.5 $(DESTDIR)$(MANDIR)/man5/aerc-accounts.5
	install -m644 aerc-binds.5 $(DESTDIR)$(MANDIR)/man5/aerc-binds.5
	install -m644 aerc-config.5 $(DESTDIR)$(MANDIR)/man5/aerc-config.5
	install -m644 aerc-imap.5 $(DESTDIR)$(MANDIR)/man5/aerc-imap.5
	install -m644 aerc-maildir.5 $(DESTDIR)$(MANDIR)/man5/aerc-maildir.5
	install -m644 aerc-sendmail.5 $(DESTDIR)$(MANDIR)/man5/aerc-sendmail.5
	install -m644 aerc-notmuch.5 $(DESTDIR)$(MANDIR)/man5/aerc-notmuch.5
	install -m644 aerc-smtp.5 $(DESTDIR)$(MANDIR)/man5/aerc-smtp.5
	install -m644 aerc-tutorial.7 $(DESTDIR)$(MANDIR)/man7/aerc-tutorial.7
	install -m644 aerc-templates.7 $(DESTDIR)$(MANDIR)/man7/aerc-templates.7
	install -m644 aerc-stylesets.7 $(DESTDIR)$(MANDIR)/man7/aerc-stylesets.7
	install -m644 config/accounts.conf $(DESTDIR)$(SHAREDIR)/accounts.conf
	install -m644 config/aerc.conf $(DESTDIR)$(SHAREDIR)/aerc.conf
	install -m644 config/binds.conf $(DESTDIR)$(SHAREDIR)/binds.conf
	install -m755 filters/calendar $(DESTDIR)$(LIBEXECDIR)/filters/calendar
	install -m755 filters/hldiff $(DESTDIR)$(LIBEXECDIR)/filters/hldiff
	install -m755 filters/html $(DESTDIR)$(LIBEXECDIR)/filters/html
	install -m755 filters/html-unsafe $(DESTDIR)$(LIBEXECDIR)/filters/html-unsafe
	install -m755 filters/plaintext $(DESTDIR)$(LIBEXECDIR)/filters/plaintext
	install -m755 filters/show-ics-details.py $(DESTDIR)$(LIBEXECDIR)/filters/show-ics-details.py
	install -m755 colorize $(DESTDIR)$(LIBEXECDIR)/filters/colorize
	install -m755 wrap $(DESTDIR)$(LIBEXECDIR)/filters/wrap
	install -m644 templates/new_message $(DESTDIR)$(SHAREDIR)/templates/new_message
	install -m644 templates/quoted_reply $(DESTDIR)$(SHAREDIR)/templates/quoted_reply
	install -m644 templates/forward_as_body $(DESTDIR)$(SHAREDIR)/templates/forward_as_body
	install -m644 stylesets/default $(DESTDIR)$(SHAREDIR)/stylesets/default
	install -m644 stylesets/dracula $(DESTDIR)$(SHAREDIR)/stylesets/dracula
	install -m644 stylesets/nord $(DESTDIR)$(SHAREDIR)/stylesets/nord
	install -m644 stylesets/pink $(DESTDIR)$(SHAREDIR)/stylesets/pink
	install -m644 stylesets/blue $(DESTDIR)$(SHAREDIR)/stylesets/blue
	install -m644 stylesets/solarized $(DESTDIR)$(SHAREDIR)/stylesets/solarized
	install -m644 contrib/aerc.desktop $(DESTDIR)$(PREFIX)/share/applications/aerc.desktop

.PHONY: checkinstall
checkinstall:
	$(DESTDIR)$(BINDIR)/aerc -v
	test -e $(DESTDIR)$(MANDIR)/man1/aerc.1
	test -e $(DESTDIR)$(MANDIR)/man5/aerc-accounts.5
	test -e $(DESTDIR)$(MANDIR)/man5/aerc-binds.5
	test -e $(DESTDIR)$(MANDIR)/man5/aerc-config.5
	test -e $(DESTDIR)$(MANDIR)/man5/aerc-imap.5
	test -e $(DESTDIR)$(MANDIR)/man5/aerc-notmuch.5
	test -e $(DESTDIR)$(MANDIR)/man5/aerc-sendmail.5
	test -e $(DESTDIR)$(MANDIR)/man5/aerc-smtp.5
	test -e $(DESTDIR)$(MANDIR)/man7/aerc-tutorial.7
	test -e $(DESTDIR)$(MANDIR)/man7/aerc-templates.7

RMDIR_IF_EMPTY:=sh -c '! [ -d $$0 ] || ls -1qA $$0 | grep -q . || rmdir $$0'

uninstall:
	$(RM) $(DESTDIR)$(BINDIR)/aerc
	$(RM) $(DESTDIR)$(MANDIR)/man1/aerc.1
	$(RM) $(DESTDIR)$(MANDIR)/man1/aerc-search.1
	$(RM) $(DESTDIR)$(MANDIR)/man5/aerc-accounts.5
	$(RM) $(DESTDIR)$(MANDIR)/man5/aerc-binds.5
	$(RM) $(DESTDIR)$(MANDIR)/man5/aerc-config.5
	$(RM) $(DESTDIR)$(MANDIR)/man5/aerc-imap.5
	$(RM) $(DESTDIR)$(MANDIR)/man5/aerc-maildir.5
	$(RM) $(DESTDIR)$(MANDIR)/man5/aerc-sendmail.5
	$(RM) $(DESTDIR)$(MANDIR)/man5/aerc-notmuch.5
	$(RM) $(DESTDIR)$(MANDIR)/man5/aerc-smtp.5
	$(RM) $(DESTDIR)$(MANDIR)/man7/aerc-tutorial.7
	$(RM) $(DESTDIR)$(MANDIR)/man7/aerc-templates.7
	$(RM) $(DESTDIR)$(MANDIR)/man7/aerc-stylesets.7
	$(RM) -r $(DESTDIR)$(SHAREDIR)
	$(RM) -r $(DESTDIR)$(LIBEXECDIR)
	${RMDIR_IF_EMPTY} $(DESTDIR)$(BINDIR)
	$(RMDIR_IF_EMPTY) $(DESTDIR)$(MANDIR)/man1
	$(RMDIR_IF_EMPTY) $(DESTDIR)$(MANDIR)/man5
	$(RMDIR_IF_EMPTY) $(DESTDIR)$(MANDIR)/man7
	$(RMDIR_IF_EMPTY) $(DESTDIR)$(MANDIR)
	$(RM) $(DESTDIR)$(PREFIX)/share/applications/aerc.desktop
	$(RMDIR_IF_EMPTY) $(DESTDIR)$(PREFIX)/share/applications

.PHONY: gitconfig
gitconfig:
	git config format.subjectPrefix "PATCH aerc"
	git config sendemail.to "~rjarry/aerc-devel@lists.sr.ht"
	git config sendemail.validate true
	@mkdir -p .git/hooks
	@rm -f .git/hooks/sendemail-validate
	ln -sf ../../contrib/sendemail-validate .git/hooks/sendemail-validate-series

.PHONY: check-patches
check-patches:
	@contrib/check-patches origin/master..

.PHONY: all doc clean install uninstall debug

=== debian/changelog ===
aerc (0.15.2-2build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:13:04 +1200

aerc (0.15.2-2) unstable; urgency=medium

  * Backport patch to fix deadlock in message channel
    (Closes: #1040907)
  * Simplify d/rules a bit

 -- Nilesh Patra <nilesh@debian.org>  Sat, 15 Jul 2023 00:00:14 +0530

aerc (0.15.2-1) unstable; urgency=medium

  * New upstream version 0.15.2
  * Update Standards-Version to 4.6.2
  * Enable hardening build flags.

 -- Robin Jarry <robin@jarry.cc>  Mon, 19 Jun 2023 15:01:20 +0000

=== debian/control ===
Source: aerc
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Nilesh Patra <nilesh@debian.org>,
           Robin Jarry <robin@jarry.cc>,
           Aloïs Micard <creekorful@debian.org>
Section: mail
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               gnupg,
               golang-any (>= 1.18),
               golang-golang-x-tools-dev (>= 0.5.0),
               golang-github-arran4-golang-ical-dev,
               golang-github-danwakefield-fnmatch-dev,
               golang-github-imdario-mergo-dev,
               golang-github-emersion-go-imap-dev (>= 1.2.0~),
               golang-github-emersion-go-imap-sortthread-dev,
               golang-github-emersion-go-maildir-dev,
               golang-github-emersion-go-mbox-dev,
               golang-github-emersion-go-message-dev (>= 0.11.1),
               golang-github-emersion-go-msgauth-dev,
               golang-github-emersion-go-pgpmail-dev (>= 0.2.0-1~),
               golang-github-emersion-go-sasl-dev,
               golang-github-emersion-go-smtp-dev (>= 0.12.1),
               golang-github-gdamore-tcell.v2-dev (>= 2.6.0),
               golang-github-fsnotify-fsnotify-dev,
               golang-github-gatherstars-com-jwz-dev,
               golang-github-go-ini-ini-dev (>= 1.52.0),
               golang-github-google-shlex-dev,
               golang-github-kyoh86-xdg-dev,
               golang-github-lithammer-fuzzysearch-dev,
               golang-github-mattn-go-isatty-dev,
               golang-github-mattn-go-runewidth-dev,
               golang-github-miolini-datacounter-dev,
               golang-github-mitchellh-go-homedir-dev,
               golang-github-pkg-errors-dev,
               golang-github-protonmail-go-crypto-dev,
               golang-github-rivo-uniseg-dev,
               golang-github-riywo-loginshell-dev,
               golang-github-stretchr-testify-dev,
               golang-github-syndtr-goleveldb-dev,
               golang-github-zenhack-go.notmuch-dev,
               golang-github-xo-terminfo-dev,
               golang-golang-x-oauth2-google-dev,
               golang-sourcehut-rockorager-tcell-term-dev (>= 0.8.0),
               golang-sourcehut-sircmpwn-getopt-dev,
               libnotmuch-dev,
               scdoc
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/aerc
Vcs-Git: https://salsa.debian.org/go-team/packages/aerc.git
Homepage: https://aerc-mail.org
Rules-Requires-Root: no
XS-Go-Import-Path: git.sr.ht/~rjarry/aerc

Package: aerc
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: dante-client,
            gnupg,
            w3m
Suggests: notmuch
Built-Using: ${misc:Built-Using}
Description: Pretty Good Email Client
 Some of its more interesting features include:
  - Editing emails in an embedded terminal tmux-style, allowing you to check on
    incoming emails and reference other threads while you compose your replies
  - Render HTML emails with an interactive terminal web browser, highlight
    patches with diffs, and browse with an embedded less session
  - Vim-style keybindings and ex-command system, allowing for powerful
    automation at a single keystroke
  - First-class support for working with git & email
  - Open a new tab with a terminal emulator and a shell running for easy access
    to nearby git repos for parallel work
  - Support for multiple accounts, with support for IMAP, Maildir, SMTP, and
    sendmail transfer protocols
  - Asynchronous IMAP support ensures the UI never gets locked up by a flaky
    network, as mutt often does
  - Efficient network usage - aerc only downloads the information which is
    necessary to present the UI, making for a snappy and bandwidth-efficient
    experience 100% free and open source software!

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

# Extra files required for build
export DH_GOLANG_INSTALL_EXTRA := Makefile config contrib/aerc.desktop doc filters stylesets templates

# Installation paths
export DESTDIR=$(CURDIR)/debian/aerc
export PREFIX=/usr

# Go options
export GO111MODULE=off
export GOPROXY=off
export GOCACHE=$(CURDIR)/_build/go-build
export GOPATH=$(CURDIR)/_build
export GOFLAGS=-tags=notmuch -buildmode=pie

# Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_build:
	$(MAKE) -C _build/src/git.sr.ht/~rjarry/aerc VERSION=$(DEB_VERSION_UPSTREAM)

override_dh_auto_test:
	mkdir -p debian/test-gnupg
	chmod og-rx debian/test-gnupg
	GNUPGHOME=${CURDIR}/debian/test-gnupg dh_auto_test
	rm -rf debian/test-gnupg

override_dh_auto_install:
	$(MAKE) -C_build/src/git.sr.ht/~rjarry/aerc install VERSION=$(DEB_VERSION_UPSTREAM)
	find $(DESTDIR) -name show-ics-details.py -delete

## aerc 0.17.0

=== debian/changelog ===
aerc (0.17.0-1ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 19 Jun 2025 16:57:17 +1000

aerc (0.17.0-1ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 24 Oct 2024 11:01:20 +1000

aerc (0.17.0-1ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 16 Jul 2024 10:13:56 +0530

aerc (0.17.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:04:59 +1100

aerc (0.17.0-1build1) noble; urgency=high

  * No change rebuild against libnotmuch5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 16:48:01 +0100

aerc (0.17.0-1) unstable; urgency=medium

  * New upstream version 0.17.0 (Refresh patch)
    (Closes: #1061505)
  * Update Build-Depends

 -- Nilesh Patra <nilesh@debian.org>  Sat, 24 Feb 2024 19:06:29 +0530

aerc (0.16.0-1) unstable; urgency=medium

  [ Nilesh Patra ]
  * New upstream version 0.16.0
  * Drop backported patches
  * Install GNUmakefile instead of Makefile in extra sources
  * Add B-D on golang-sourcehut-rockorager-go-jmap
  * Update minimum version of golang-github-emersion-go-message
    in Build Depends
  * Install contrib/carddav-query as extra source
  * Add patch to fix blhc failure
  * Fix extended description indentation and redundant
    B-D versioning with cme

  [ Robin Jarry ]
  * d/control: remove obsolete build dependencies
  * d/NEWS: mention user facing changes for 0.16
  * Add runtime dependency to python3 for carddav-query
  * Add suggest dependency to python3-vobject for show-ics-details.py

 -- Nilesh Patra <nilesh@debian.org>  Sun, 10 Dec 2023 10:00:59 +0530

=== debian/control ===
Source: aerc
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Nilesh Patra <nilesh@debian.org>,
           Robin Jarry <robin@jarry.cc>,
           Aloïs Micard <creekorful@debian.org>
Section: mail
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               gnupg,
               golang-any,
               golang-golang-x-sys-dev,
               golang-golang-x-tools-dev,
               golang-github-arran4-golang-ical-dev,
               golang-github-danwakefield-fnmatch-dev,
               golang-github-emersion-go-imap-dev (>= 1.2.0~),
               golang-github-emersion-go-imap-sortthread-dev,
               golang-github-emersion-go-maildir-dev (>= 0.4.1~),
               golang-github-emersion-go-mbox-dev,
               golang-github-emersion-go-message-dev (>= 0.17.0-1~),
               golang-github-emersion-go-msgauth-dev,
               golang-github-emersion-go-pgpmail-dev,
               golang-github-emersion-go-sasl-dev,
               golang-github-emersion-go-smtp-dev (>= 0.12.1),
               golang-github-gdamore-tcell.v2-dev (>= 2.6.0),
               golang-github-fsnotify-fsnotify-dev,
               golang-github-gatherstars-com-jwz-dev,
               golang-github-go-ini-ini-dev (>= 1.52.0),
               golang-github-lithammer-fuzzysearch-dev,
               golang-github-mattn-go-isatty-dev,
               golang-github-mattn-go-runewidth-dev,
               golang-github-pkg-errors-dev,
               golang-github-protonmail-go-crypto-dev,
               golang-github-rivo-uniseg-dev,
               golang-github-riywo-loginshell-dev,
               golang-sourcehut-rjarry-go-opt-dev,
               golang-sourcehut-rockorager-go-jmap-dev,
               golang-github-stretchr-testify-dev,
               golang-github-syndtr-goleveldb-dev,
               golang-github-xo-terminfo-dev,
               golang-golang-x-oauth2-google-dev,
               golang-sourcehut-rockorager-tcell-term-dev (>= 0.10.0~),
               libnotmuch-dev,
               scdoc
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/aerc
Vcs-Git: https://salsa.debian.org/go-team/packages/aerc.git
Homepage: https://aerc-mail.org
Rules-Requires-Root: no
XS-Go-Import-Path: git.sr.ht/~rjarry/aerc

Package: aerc
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         python3
Recommends: dante-client,
            gnupg,
            w3m
Suggests: notmuch,
          python3-vobject
Built-Using: ${misc:Built-Using}
Description: Pretty Good Email Client
 aerc is an email client that runs in your terminal. It's highly efficient and
 extensible, perfect for the discerning hacker. Some of its more interesting
 features include:
 .
  * Editing emails in an embedded terminal tmux-style, allowing you to check on
    incoming emails and reference other threads while you compose your replies
  * Render HTML emails with an interactive terminal web browser, highlight
    patches with diffs, and browse with an embedded less session
  * Vim-style keybindings and ex-command system, allowing for powerful
    automation at a single keystroke
  * First-class support for working with git & email
  * Open a new tab with a terminal emulator and a shell running for easy access
    to nearby git repos for parallel work
  * Support for multiple accounts, with IMAP, Maildir, Notmuch, Mbox and JMAP
    backends. Along with IMAP, JMAP, SMTP, and sendmail transfer protocols.
  * Asynchronous IMAP and JMAP support ensures the UI never gets locked up by
    a flaky network.
  * Efficient network usage - aerc only downloads the information which is
    necessary to present the UI, making for a snappy and bandwidth-efficient
    experience
  * Email threading (with and/or without IMAP server support).
  * PGP signing, encryption and verification using GNUpg.
  * 100% free and open source software!

## aerc 0.18.2

=== debian/changelog ===
aerc (0.18.2-2) unstable; urgency=medium

  [ Robin Jarry ]
  * d/patches: backport a fix for gpg signed messages encoding
  * d/control: remove obsolete build dep to tcell

  [ Jonathan Dowland ]
  * Move dante-client from Recommends to Suggests

 -- Robin Jarry <robin@jarry.cc>  Mon, 26 Aug 2024 14:02:13 +0200

aerc (0.18.2-1) unstable; urgency=medium

  * [1d86d5a] New upstream version 0.18.2
  * [676751c] Bump Standards-Version to 4.7.0 (no changes needed)
  * [d86920e] Tighten versioned depends on golang-sourcehut-rockorager-vaxis

 -- Nilesh Patra <nilesh@debian.org>  Tue, 30 Jul 2024 12:33:07 +0900

aerc (0.18.0-1) unstable; urgency=medium

  * New upstream version 0.18.0
  * golang-sourcehut-rockorager-vaxis-dev to B-D
  * Tighten B-D on golang-github-emersion-go-smtp-dev

 -- Nilesh Patra <nilesh@debian.org>  Sun, 14 Jul 2024 00:38:32 +0530

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: aerc
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Nilesh Patra <nilesh@debian.org>,
            Robin Jarry <robin@jarry.cc>,
            Aloïs Micard <creekorful@debian.org>
@@ -23,8 +22,7 @@
                golang-github-emersion-go-msgauth-dev,
                golang-github-emersion-go-pgpmail-dev,
                golang-github-emersion-go-sasl-dev,
-               golang-github-emersion-go-smtp-dev (>= 0.12.1),
-               golang-github-gdamore-tcell.v2-dev (>= 2.6.0),
+               golang-github-emersion-go-smtp-dev (>= 0.21.2-1~),
                golang-github-fsnotify-fsnotify-dev,
                golang-github-gatherstars-com-jwz-dev,
                golang-github-go-ini-ini-dev (>= 1.52.0),
@@ -39,12 +37,11 @@
                golang-sourcehut-rockorager-go-jmap-dev,
                golang-github-stretchr-testify-dev,
                golang-github-syndtr-goleveldb-dev,
-               golang-github-xo-terminfo-dev,
                golang-golang-x-oauth2-google-dev,
-               golang-sourcehut-rockorager-tcell-term-dev (>= 0.10.0~),
+               golang-sourcehut-rockorager-vaxis-dev (>= 0.10.3-1~),
                libnotmuch-dev,
                scdoc
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/aerc
 Vcs-Git: https://salsa.debian.org/go-team/packages/aerc.git
 Homepage: https://aerc-mail.org
@@ -56,10 +53,10 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          python3
-Recommends: dante-client,
-            gnupg,
+Recommends: gnupg,
             w3m
-Suggests: notmuch,
+Suggests: dante-client,
+          notmuch,
           python3-vobject
 Built-Using: ${misc:Built-Using}
 Description: Pretty Good Email Client

## aerc 0.19.0

=== debian/changelog ===
aerc (0.19.0-1) unstable; urgency=medium

  * Update upstream signing key
  * New upstream version 0.19.0
  * Remove upstreamed patch
  * Bump go-opt dependency version
  * Update binary dependencies

 -- Robin Jarry <robin@jarry.cc>  Sun, 19 Jan 2025 00:20:51 +0100

## aerc 0.20.0

=== Makefile ===
# This file is only left here for explicit error about GNU make requirement
# when building with other make flavours.
#
# Do not edit this file. Edit GNUmakefile instead.
.PHONY: all
all .DEFAULT:
	@echo "Please build and install using GNU make (gmake)"; exit 1

=== debian/changelog ===
aerc (0.20.0-2) unstable; urgency=medium

  * Add patch to fix temp file creation

 -- Nilesh Patra <nilesh@debian.org>  Sat, 31 May 2025 23:09:24 +0530

aerc (0.20.0-1) unstable; urgency=medium

  * New upstream version 0.20.0

 -- Robin Jarry <robin@jarry.cc>  Sat, 25 Jan 2025 21:59:25 +0100

=== debian/watch ===
version=4
opts="mode=git, gitmode=full, pgpmode=gittag" \
https://git.sr.ht/~rjarry/aerc \
refs/tags/(\d[\d\.]+)

## aerc 0.20.1

=== debian/changelog ===
aerc (0.20.1-1) unstable; urgency=medium

  * New upstream version 0.20.1
  * Add patch to use SOURCE_DATE_EPOCH for date

 -- Nilesh Patra <nilesh@debian.org>  Mon, 11 Aug 2025 19:32:12 +0530

## aerc 0.21.0

=== debian/changelog ===
aerc (0.21.0-2) unstable; urgency=medium

  * Tighten B-D on golang-github-emersion-go-smtp (Closes: #1120349)
  * Backport upstream patch to add "Reply-To" to autocompletion
    (Closes: #1042578)
  * Bump Standards-Version to 4.7.3 (no changes needed)
  * d/watch: move to version 5

 -- Nilesh Patra <nilesh@debian.org>  Thu, 26 Feb 2026 22:42:30 +0530

aerc (0.21.0-1) unstable; urgency=medium

  * Update d/gbp.conf to add fields for upstream-branch and signatures
  * New upstream version 0.21.0
  * Drop following patches fixed upstream
    - use-source-date-epoch.patch
    - fix-temp-file-creation.patch
  * Tighten B-D on golang-github-emersion-go-maildir-dev
  * Drop redundant "Rules-Requires-Root: no"

 -- Nilesh Patra <nilesh@debian.org>  Sat, 18 Oct 2025 21:32:53 +0530

=== debian/control ===
--- 
+++ 
@@ -16,13 +16,13 @@
                golang-github-danwakefield-fnmatch-dev,
                golang-github-emersion-go-imap-dev (>= 1.2.0~),
                golang-github-emersion-go-imap-sortthread-dev,
-               golang-github-emersion-go-maildir-dev (>= 0.4.1~),
+               golang-github-emersion-go-maildir-dev (>= 0.6.0~),
                golang-github-emersion-go-mbox-dev,
                golang-github-emersion-go-message-dev (>= 0.17.0-1~),
                golang-github-emersion-go-msgauth-dev,
                golang-github-emersion-go-pgpmail-dev,
                golang-github-emersion-go-sasl-dev,
-               golang-github-emersion-go-smtp-dev (>= 0.21.2-1~),
+               golang-github-emersion-go-smtp-dev (>= 0.24.0-1~),
                golang-github-fsnotify-fsnotify-dev,
                golang-github-gatherstars-com-jwz-dev,
                golang-github-go-ini-ini-dev (>= 1.52.0),
@@ -33,7 +33,7 @@
                golang-github-protonmail-go-crypto-dev,
                golang-github-rivo-uniseg-dev,
                golang-github-riywo-loginshell-dev,
-               golang-sourcehut-rjarry-go-opt-dev,
+               golang-sourcehut-rjarry-go-opt-dev (>= 2.0.1-1~),
                golang-sourcehut-rockorager-go-jmap-dev,
                golang-github-stretchr-testify-dev,
                golang-github-syndtr-goleveldb-dev,
@@ -41,23 +41,22 @@
                golang-sourcehut-rockorager-vaxis-dev (>= 0.10.3-1~),
                libnotmuch-dev,
                scdoc
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/aerc
 Vcs-Git: https://salsa.debian.org/go-team/packages/aerc.git
 Homepage: https://aerc-mail.org
-Rules-Requires-Root: no
 XS-Go-Import-Path: git.sr.ht/~rjarry/aerc
 
 Package: aerc
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         python3
-Recommends: gnupg,
-            w3m
-Suggests: dante-client,
-          notmuch,
-          python3-vobject
+         python3,
+         w3m,
+Recommends: gnupg2,
+            util-linux (>= 2.17~),
+Suggests: notmuch,
+          python3-vobject,
 Built-Using: ${misc:Built-Using}
 Description: Pretty Good Email Client
  aerc is an email client that runs in your terminal. It's highly efficient and

=== debian/watch ===
Version: 5

Gitmode: full
Mode: git
Pgpmode: gittag
Matching-Pattern: refs/tags/v?(\d.+)
Source: https://git.sr.ht/~rjarry/aerc
